Bug 1476748 - Boltron: yum-dnf wrapper breaks installation of modules
Summary: Boltron: yum-dnf wrapper breaks installation of modules
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Hatina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-31 11:04 UTC by Radek Vokal
Modified: 2017-08-09 15:59 UTC (History)
6 users (show)

Fixed In Version: dnf-2.6.3-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 15:59:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Radek Vokal 2017-07-31 11:04:20 UTC
Description of problem:
After installing yum-dnf wrapper yum breaks modularity

Version-Release number of selected component (if applicable):
dnf-2.6.0-3.git.40.c0f7fc6.module_a7788b02.noarch
Docker image:
registry.fedoraproject.org/f26-modular/boltron   latest              99ecffa25107

How reproducible:
Always

Steps to Reproduce:
1. Run the above image
2. dnf install --rpm dnf-yum
3. yum install nodejs-8
4. yum module list --installed
-- doesn't show nodejs as installed, dnf install nodejs replaces it with f26 version


This surprisingly works without specifying stream
yum install httpd 
yum module list --installed 
-- shows httpd as it should

Comment 1 Jaroslav Mracek 2017-08-01 17:01:56 UTC
I guess that the problem will be fixed by PR (https://github.com/rpm-software-management/dnf/pull/849).

Comment 2 Fedora Update System 2017-08-07 12:50:46 UTC
dnf-2.6.3-1.fc26 dnf-plugins-extras-2.0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4813633f96

Comment 3 Fedora Update System 2017-08-08 01:24:32 UTC
dnf-2.6.3-1.fc26, dnf-plugins-extras-2.0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4813633f96

Comment 4 Fedora Update System 2017-08-09 15:59:56 UTC
dnf-2.6.3-1.fc26, dnf-plugins-extras-2.0.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.